Bug 30094 - Rewrite the patron search when requesting an article with the REST API route
Summary: Rewrite the patron search when requesting an article with the REST API route
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 30093
Blocks: 30063
  Show dependency treegraph
 
Reported: 2022-02-14 14:29 UTC by Jonathan Druart
Modified: 2022-04-08 12:27 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30094: Make the patron search from request-article.pl use the REST API (9.79 KB, patch)
2022-02-15 10:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30094: Make the patron search from request-article.pl use the REST API (9.79 KB, patch)
2022-03-30 08:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30094: Make the patron search from request-article.pl use the REST API (9.94 KB, patch)
2022-03-31 08:50 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30094: Make the patron search from request-article.pl use the REST API (10.00 KB, patch)
2022-03-31 12:35 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30094: (QA follow-up) Mke the QA script happy (1.78 KB, patch)
2022-03-31 12:35 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-02-14 14:29:41 UTC

    
Comment 1 Jonathan Druart 2022-02-15 10:22:28 UTC
Created attachment 130607 [details] [review]
Bug 30094: Make the patron search from request-article.pl use the REST API

Reuse what has been done before to implement the patron search using the
REST API route, when requesting an article

Test plan:
Request an article for a patron and confirm that the search is working
correctly.
Comment 2 Jonathan Druart 2022-03-30 08:24:52 UTC
Created attachment 132543 [details] [review]
Bug 30094: Make the patron search from request-article.pl use the REST API

Reuse what has been done before to implement the patron search using the
REST API route, when requesting an article

Test plan:
Request an article for a patron and confirm that the search is working
correctly.
Comment 3 Séverine Queune 2022-03-31 08:50:23 UTC
Created attachment 132689 [details] [review]
Bug 30094: Make the patron search from request-article.pl use the REST API

Reuse what has been done before to implement the patron search using the
REST API route, when requesting an article

Test plan:
Request an article for a patron and confirm that the search is working
correctly.

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 4 Martin Renvoize 2022-03-31 12:23:00 UTC
Sorry Jonathan, same QA failure here as the previous one:

 FAIL   koha-tmpl/intranet-tmpl/prog/en/modules/circ/request-article.tt
   FAIL   forbidden patterns
                forbidden pattern: Do not use line breaks inside template tags (bug 18675) (line 439)
Comment 5 Martin Renvoize 2022-03-31 12:35:05 UTC
Created attachment 132729 [details] [review]
Bug 30094: Make the patron search from request-article.pl use the REST API

Reuse what has been done before to implement the patron search using the
REST API route, when requesting an article

Test plan:
Request an article for a patron and confirm that the search is working
correctly.

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2022-03-31 12:35:09 UTC
Created attachment 132730 [details] [review]
Bug 30094: (QA follow-up) Mke the QA script happy

Remove newlines from a template block

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2022-03-31 12:36:18 UTC
I added the QA follow-up.. Passing QA
Comment 8 Fridolin Somers 2022-04-04 07:49:16 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄